# Cinder

# cinder::cairo::SurfaceImage Class Reference

`#include <Cairo.h>`

Inherits cinder::cairo::SurfaceBase.

List of all members.

## Public Member Functions
| SurfaceImage ()
| SurfaceImage (int32_t width, int32_t height, bool hasAlpha=false)
| SurfaceImage (const uint8_t *dataPtr, int32_t width, int32_t height, int32_t stride, bool hasAlpha=false)
| SurfaceImage (const cinder::Surface &ciSurface)
| SurfaceImage (const SurfaceImage &other)
uint8_t * | getData ()
const uint8_t * | getData () const
int32_t | getStride () const
cinder::Surface & | getSurface ()
const cinder::Surface & | getSurface () const
cairo_surface_t * | getCairoSurface () const
int32_t | getWidth () const
int32_t | getHeight () const
float | getAspectRatio () const
Area | getBounds () const
Vec2i | getSize () const
void | flush ()
## Protected Member Functions
void | initCinderSurface (bool alpha, uint8_t *data, int32_t stride)
## Protected Attributes
cinder::Surface | mCinderSurface
cairo_surface_t * | mCairoSurface
int32_t | mWidth
int32_t | mHeight

## Constructor & Destructor Documentation

cinder::cairo::SurfaceImage::SurfaceImage | ( |  | ) |

cinder::cairo::SurfaceImage::SurfaceImage | ( | int32_t | width,
|  | int32_t | height,
|  | bool | hasAlpha = `false` |
| ) |  |  |

cinder::cairo::SurfaceImage::SurfaceImage | ( | const uint8_t * | dataPtr,
|  | int32_t | width,
|  | int32_t | height,
|  | int32_t | stride,
|  | bool | hasAlpha = `false` |
| ) |  |  |

cinder::cairo::SurfaceImage::SurfaceImage | ( | const cinder::Surface & | ciSurface | ) |

cinder::cairo::SurfaceImage::SurfaceImage | ( | const SurfaceImage & | other | ) |

## Member Function Documentation

uint8_t * cinder::cairo::SurfaceImage::getData | ( |  | ) |

const uint8_t* cinder::cairo::SurfaceImage::getData | ( |  | ) | const

int32_t cinder::cairo::SurfaceImage::getStride | ( |  | ) | const

cinder::Surface & cinder::cairo::SurfaceImage::getSurface | ( |  | ) |

const cinder::Surface& cinder::cairo::SurfaceImage::getSurface | ( |  | ) | const

void cinder::cairo::SurfaceImage::initCinderSurface | ( | bool | alpha,
|  | uint8_t * | data,
|  | int32_t | stride |
| ) |  |  | `[protected]`

cairo_surface_t* cinder::cairo::SurfaceBase::getCairoSurface | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getWidth | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getHeight | ( |  | ) | const`[inherited]`

float cinder::cairo::SurfaceBase::getAspectRatio | ( |  | ) | const`[inherited]`

Area cinder::cairo::SurfaceBase::getBounds | ( |  | ) | const`[inherited]`

Vec2i cinder::cairo::SurfaceBase::getSize | ( |  | ) | const`[inherited]`

void cinder::cairo::SurfaceBase::flush | ( |  | ) | `[inherited]`

## Member Data Documentation

cinder::Surface cinder::cairo::SurfaceImage::mCinderSurface`[protected]`

cairo_surface_t* cinder::cairo::SurfaceBase::mCairoSurface`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mWidth`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mHeight`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp